​
Select Service
ves-io-schema-views-aws_tgw_site-API-Get
Published April 5, 2023 | Last modified May 28, 2026
Examples of getting aws_tgw_site
Usecase:
Get tgw-site1 from current namespace
Request using vesctl:
vesctl configuration get aws_tgw_site tgw-site1 --namespace system
vesctl yaml response:
deletedReferredObjects: []disabledReferredObjects: []metadata: annotations: {} labels: {} name: tgw-site1 namespace: systemreferringObjects: []resourceVersion: "4007"spec: awsParameters: awsCertifiedHw: aws-byol-multi-nic-voltmesh awsCred: name: unit-creds-views-aws-test namespace: system tenant: acmecorp awsRegion: us-east-1 azNodes: - awsAzName: us-west-2a diskSize: 80 insideSubnet: existingSubnetId: subnet-a2345678901234567 outsideSubnet: existingSubnetId: subnet-b2345678901234567 disableInternetVip: {} existingTgw: tgwAsn: 64500 tgwId: tgw-a2345678901234567 volterraSiteAsn: 64501 f5xcSecurityGroup: {} instanceType: a1.xlarge nodesPerAz: 2 reservedTgwCidr: {} sshKey: ssh-rsa AAAAB.. vpcId: vpc-a2345678901234567 blockAllServices: {} directConnectDisabled: {} logsStreamingDisabled: {} siteErrors: [] tags: {} tgwSecurity: noEastWestPolicy: {} noForwardProxy: {} noNetworkPolicy: {} tunnels: [] vipParamsPerAz: [] vpcAttachments: vpcList: [] vpcIpPrefixes: {}status: []systemMetadata: creationTimestamp: "2026-04-13T02:01:50.333428Z" creatorClass: examplesvc creatorId: examplesvc finalizers: [] labels: {} tenant: acmecorp uid: 67878f95-b2fa-4284-9065-2e00d3691370Request using curl:
curl -X 'GET' -H 'X-Volterra-Useragent: v1/pgm=_var_folders_q2_3kp8z3zs0x5_m7pk1bgb0_ph0000gp_T_go-build1414723615_b001_apidocs.test/host=MTY6VVHQPH/svc=S:examplesvc/site=mytestce01' 'https://acmecorp.console.ves.volterra.io/api/config/namespaces/system/aws_tgw_sites/tgw-site1?response_format=0'curl response:
HTTP/1.1 200 OKContent-Type: application/jsonDate: Mon, 13 Apr 2026 02:01:50 GMTVary: Accept-EncodingX-Volterra-Response-Fields-Deprecated: status.#.resource_share_status.creation_time,status.#.resource_share_status.invitation_status,status.#.resource_share_status.last_updated_time,status.#.resource_share_status.resource_share_invitation_arn,status.#.tgw.tgw_creation_time
{ "create_form": null, "replace_form": null, "resource_version": "4007", "metadata": { "name": "tgw-site1", "namespace": "system", "labels": { }, "annotations": { }, "description": "", "disable": false }, "system_metadata": { "uid": "67878f95-b2fa-4284-9065-2e00d3691370", "creation_timestamp": "2026-04-13T02:01:50.333428Z", "deletion_timestamp": null, "modification_timestamp": null, "initializers": null, "finalizers": [ ], "tenant": "acmecorp", "creator_class": "examplesvc", "creator_id": "examplesvc", "object_index": 0, "owner_view": null, "labels": { } }, "spec": { "aws_parameters": { "aws_region": "us-east-1", "vpc_id": "vpc-a2345678901234567", "existing_tgw": { "tgw_id": "tgw-a2345678901234567", "tgw_asn": 64500, "volterra_site_asn": 64501 }, "reserved_tgw_cidr": {
}, "aws_certified_hw": "aws-byol-multi-nic-voltmesh", "instance_type": "a1.xlarge", "ssh_key": "ssh-rsa AAAAB..", "admin_password": null, "az_nodes": [ { "aws_az_name": "us-west-2a", "inside_subnet": { "existing_subnet_id": "subnet-a2345678901234567" }, "outside_subnet": { "existing_subnet_id": "subnet-b2345678901234567" }, "workload_subnet": null, "disk_size": 80 } ], "nodes_per_az": 2, "disk_size": 0, "aws_cred": { "tenant": "acmecorp", "namespace": "system", "name": "unit-creds-views-aws-test" }, "disable_internet_vip": {
}, "f5xc_security_group": {
} }, "vpc_attachments": { "vpc_list": [ ] }, "vn_config": null, "tgw_security": { "no_forward_proxy": {
}, "no_east_west_policy": {
}, "no_network_policy": {
} }, "volterra_software_version": "", "operating_system_version": "", "vpc_ip_prefixes": { }, "tunnels": [ ], "coordinates": null, "user_modification_timestamp": null, "tgw_info": null, "logs_streaming_disabled": {
}, "vip_params_per_az": [ ], "tags": { }, "site_state": "ONLINE", "direct_connect_disabled": {
}, "direct_connect_info": null, "block_all_services": {
}, "offline_survivability_mode": null, "performance_enhancement_mode": null, "suggested_action": "", "error_description": "", "site_errors": [ ], "validation_state": "VALIDATION_STATE_NONE", "custom_dns": null, "kubernetes_upgrade_drain": null, "tunnel_type": "TUNNEL_IPSEC" }, "status": [ ], "referring_objects": [ ], "deleted_referred_objects": [ ], "disabled_referred_objects": [ ]}